Bug 247253 - Conflicting Provides
Summary: Conflicting Provides
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Time-Piece-MySQL   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-06 11:50 UTC by Michael Schwendt
Modified: 2011-09-30 19:06 UTC (History)
4 users (show)

Fixed In Version: perl-Time-Piece-MySQL-0.05-14.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-25 03:32:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Schwendt 2007-07-06 11:50:01 UTC
perl-Time-Piece provides perl(Time::Piece) EQ 0 1.09
perl-Time-Piece-MySQL provides perl(Time::Piece)
  required by: perl-Email-Date - 1.102-2.fc7.noarch
  required by: perl-Time-Piece-MySQL - 0.05-3.fc6.noarch
  required by: perl-Time-Piece-MySQL - 0.05-3.fc6.noarch
  required by: perl-Email-Date - 1.102-2.fc7.noarch

Indeed. perl-Time-Piece-MySQL does not include a Time::Piece
module and therefore must not provide perl(Time::Piece).
Luck has it that a second dependency on Time::Seconds
pulls in perl-Time-Piece. Else it would break.

[...]

Further reference, similar cases:
https://www.redhat.com/archives/fedora-perl-devel-list/2007-July/msg00011.html

Comment 1 Jan Pazdziora 2008-02-27 14:33:53 UTC
This issue seems to be resolved in rawhide:

$ rpm -qp --provides perl-Time-Piece-1.09-4.fc9.i386.rpm 
Piece.so  
perl(Time::Piece) = 1.09
perl(Time::Seconds)  
perl-Time-Piece = 1.09-4.fc9
$ rpm -qp --provides perl-Time-Piece-MySQL-0.05-4.fc8.noarch.rpm 
perl(Time::Piece::MySQL) = 0.05
perl-Time-Piece-MySQL = 0.05-4.fc8
$

I propose marking this bugzilla as resolved with NEXTRELEASE.

Comment 2 Bug Zapper 2008-05-14 13:26:12 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Petr Pisar 2011-09-15 09:24:26 UTC
This bug has emerged again:

# repoquery --qf '%{SOURCERPM}/%{NEVRA}' --whatprovides 'perl(Time::Piece)'
perl-Time-Piece-MySQL-0.05-13.fc16.src.rpm/perl-Time-Piece-MySQL-0:0.05-13.fc16.noarch
perl-5.14.1-187.fc17.src.rpm/perl-Time-Piece-0:1.20.1-187.fc17.x86_64

Comment 4 Petr Pisar 2011-09-15 11:29:35 UTC
F17--F15 affected, F14 build is ok, but spec file is incorrect.

Comment 5 Fedora Update System 2011-09-15 11:47:43 UTC
perl-Time-Piece-MySQL-0.05-14.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Time-Piece-MySQL-0.05-14.fc16

Comment 6 Fedora Update System 2011-09-15 11:48:02 UTC
perl-Time-Piece-MySQL-0.05-13.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Time-Piece-MySQL-0.05-13.fc15

Comment 7 Petr Pisar 2011-09-15 11:54:48 UTC
Fixed in perl-Time-Piece-MySQL-0.05-14.fc17 for F17, committed only into F14 git branch.

Comment 8 Fedora Update System 2011-09-15 21:20:33 UTC
Package perl-Time-Piece-MySQL-0.05-14.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Time-Piece-MySQL-0.05-14.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-Time-Piece-MySQL-0.05-14.fc16
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-09-25 03:32:10 UTC
perl-Time-Piece-MySQL-0.05-13.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-09-30 19:06:31 UTC
perl-Time-Piece-MySQL-0.05-14.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.